Skip to main content
POST
/
api
/
svc
/
v1
/
metrics
/
grafana
/
{workspaceId}
Create Grafana dashboard for an application
curl --request POST \
  --url https://{controlPlaneURL}/api/svc/v1/metrics/grafana/{workspaceId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "applicationId": "<string>",
  "grafanaDashboardJson": {}
}
'
{
  "grafanaDashboardLink": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspaceId
string
required

Body

application/json
applicationId
string
required

Application Id

grafanaDashboardJson
object
required

Json for grafana dashboard

Response

Returns a link to the created Grafana dashboard.

Link to the created Grafana dashboard